channel {Biobase} | R Documentation

## Create a new ExpressionSet instance by selecting a specific channel

### Description

This generic function extracts a specific element from an object, returning a instance of the ExpressionSet class.

### Usage

    channel(object, name, ...)

### Arguments

`object` | An S4 object, typically derived from class `eSet`
`name` | The name of the channel, a (length one) character vector.
`...` | Additional arguments.

### Value

An instance of class `ExpressionSet`.

### Author(s)

Biocore

### Examples

    obj <- new("NChannelSet",
               R=matrix(runif(100), 20, 5),
               G=matrix(runif(100), 20, 5))
    ## G channel as ExpressionSet
    channel(obj, "G")

[Package Biobase version 2.2.2 Index]